using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace MultiLayout.MainEdit
{
    /// <summary>
    /// UcMeGageTabItem.xaml 的交互逻辑
    /// </summary>
    public partial class UcMeGageTabItem : UserControl
    {
        GageTabItem gageTabItem;
        FlyLayoutManager manager;
        public UcMeGageTabItem()
        {
            InitializeComponent();
        }

        public void Init(GageTabItem gageTabItem, FlyLayoutManager manager) 
        {
            this.gageTabItem = gageTabItem;
            this.manager = manager;
        }

        private void btnMenuClick(object sender, RoutedEventArgs e)
        {
            PgMeMenu p = new PgMeMenu();
            p.Init(gageTabItem, manager);

            FlyLayoutManager.NavigationService.Navigate(p);
        }

        private void btnDynareaClick(object sender, RoutedEventArgs e)
        {
            PgMainEditDynArea p = new PgMainEditDynArea();
            p.Init(gageTabItem, manager);

            FlyLayoutManager.NavigationService.Navigate(p);
        }

        private void btnGraphClick(object sender, RoutedEventArgs e)
        {
            PgMainEditGraph p = new PgMainEditGraph();
            p.Init(gageTabItem, manager);

            FlyLayoutManager.NavigationService.Navigate(p);
        }
    }
}
